در حال بارگزاری ...

خطای HTTP Error 500.19 - Internal Server Error در نصب ناپ کامرس 4.0 , 4.10

2 سال قبل
#1028 نقل و قول
من نسخه بدون سورس ناپ کامرس را دانلود کردم. و در هاست ریختم ولی نصب نشد. بصورت لوکال نیز  IIS را نصب کردم ولی لوکال هم نصب نمیشه و خطای زیر را می دهد:

HTTP Error 500.19 - Internal Server Error



در راهنمای ناپ کامرس نیازمندیهای نصب ناپ کامرس 4 را مطالعه کردم:
http://docs.nopshop.ir/nopCommerce-Help/CategoryID/114

.NET Core Windows Server hosting را نصب کردم ولی مشکل حل نشد
2
2 سال قبل
#1029 نقل و قول
.NET Framework  و .NET Core  را از آدرس زیر دانلود و نصب کنید:
https://www.microsoft.com/net/download/windows


یا لینک زیر را دانلود کنید:
http://download.microsoft.com/download/3/8/1/381CBBF3-36DA-4983-BFF3-5881548A70BE/DotNetCore.1.0.4_1.1.1-WindowsHosting.exe

برای ناپ کامرس 4.10:  فایل زیر را دانلود و نصب کنید:
dotnet-hosting-2.1.0-win.exe


برچسب ها: نصب ناپ کامرس 4 در ویندوز سرور ، نصب nopCommerce 4.0 در ویندوز سرور ، نصب ناپ کامرس 4.0 ، نصب دات نت کور ، .نصب .net core 2.0 در windows server ، نصب Microsoft .NET Core 2.0 Windows Server Hosting
4
2 سال قبل
#1140 نقل و قول
سلام من این چیزهایی که فرمودید نصب کردم حالا این ارور و میده سایتم
An error occurred while starting the application.

0
2 سال قبل
#1142 نقل و قول
مطلب زیر را در همین انجمن مطالعه کنید:

خطای An error occurred while starting the application
0
یک سال قبل
#1786 نقل و قول
در صورتی که VPS دارید دسترسی کامل کاربر IIS_IUSRS به پوشه هاست بدهید:

راست کلیک روی پوشه هاست / گزینه Properties /  زبانه Security / دکمه Edit / دکمه Add / دکمه Advance / دکمه Find Now / از لیست نمایش داده شده گزینه IIS_IUSRS را انتخاب کنید/ دکمه OK / گزینه Full Control و Modify را تیک بزنید / دکمه OK

با این روش خطای HTTP Error 500.19 - Internal Server Error در نصب ناپ کامرس 4.0 و 4.1 رفع می شود.
6
یک سال قبل
#1901 نقل و قول
اگر از ناپ کامرس 4.10 استفاده می کنید. بررسی کنید تا مطمئن شوید ASP.NET 4.6 را نصب کرده اید.
از طریق Server Manager گزینه های ASP.NET 4.6 و .Net Extensibility 4.6 را تیک بزنید:
Server Manager / Add roles and features / Next / /Next / Next / Web Server (IIS) / Web Server / Application Development



توجه: ASP.NET 4.6 برای ناپ کامرس 4.10 نیاز است ولی برای ناپ کامرس 4.0 نیاز نیست.
2
دسته بندی ها